org.apache.jmeter.gui

## Interface Searchable

- All Known Implementing Classes:
    AbstractBoltTestElement, AbstractJDBCProcessor, AbstractJDBCTestElement, AbstractListenerElement, AbstractSampler, AbstractScopedAssertion, AbstractScopedTestElement, AbstractTestElement, AbstractThreadGroup, AccessLogSampler, AjpSampler, AnchorModifier, Argument, Arguments, AssertionResult, AuthManager, Authorization, BackendListener, BaseJMSSampler, BeanShellAssertion, BeanShellListener, BeanShellPostProcessor, BeanShellPreProcessor, BeanShellSampler, BeanShellTestElement, BeanShellTimer, BoltConnectionElement, BoltSampler, BoundaryExtractor, BSFAssertion, BSFListener, BSFPostProcessor, BSFPreProcessor, BSFSampler, BSFTestElement, BSFTimer, CacheManager, CompareAssertion, CompareAssertionResult, ConfigTestElement, ConstantThroughputTimer, ConstantTimer, Cookie, CookieManager, CounterConfig, CriticalSectionController, CSVDataSet, DataSourceElement, DebugPostProcessor, DebugSampler, DNSCacheManager, DurationAssertion, ForeachController, FTPSampler, GaussianRandomTimer, GenericController, Header, HeaderManager, HTMLAssertion, HtmlExtractor, HTTPArgument, HTTPFileArg, HTTPFileArgs, HttpMirrorControl, HTTPSampler, HTTPSamplerBase, HTTPSampleResult, HTTPSamplerProxy, IfController, IncludeController, InterleaveControl, JavaConfig, JavaSampler, JDBCPostProcessor, JDBCPreProcessor, JDBCSampler, JMESPathAssertion, JMESPathExtractor, JMSProperties, JMSProperty, JMSSampler, JSONPathAssertion, JSONPostProcessor, JSR223Assertion, JSR223Listener, JSR223PostProcessor, JSR223PreProcessor, JSR223Sampler, JSR223TestElement, JSR223Timer, JUnitSampler, KeystoreConfig, LDAPArgument, LDAPArguments, LDAPExtSampler, LDAPSampler, LoginConfig, LoopController, MailerModel, MailerResultCollector, MailReaderSampler, MD5HexAssertion, ModuleController, MongoScriptSampler, MongoSourceElement, OnceOnlyController, OnErrorTestElement, PoissonRandomTimer, PostThreadGroup, PreciseThroughputTimer, ProxyControl, PublisherSampler, RandomController, RandomOrderController, RandomTimer, RandomVariableConfig, RecordingController, RegexExtractor, RegExUserParameters, RemoteListenerWrapper, RemoteSampleListenerWrapper, RemoteTestListenerWrapper, RemoteThreadsListenerWrapper, ResponseAssertion, ResultAction, ResultCollector, ResultSaver, RunTime, SampleResult, SampleTimeout, ScriptingTestElement, SetupThreadGroup, SizeAssertion, SMIMEAssertionTestElement, SmtpSampler, StaticHost, StatisticalSampleResult, SubscriberSampler, SubstitutionElement, Summariser, SwitchController, SyncTimer, SystemSampler, TCPSampler, TestAction, TestFragmentController, TestPlan, ThreadGroup, ThroughputController, TransactionController, TransactionSampler, UniformRandomTimer, URLRewritingModifier, UserParameters, WhileController, WorkBench, XMLAssertion, XMLSchemaAssertion, XPath2Assertion, XPath2Extractor, XPathAssertion, XPathExtractor

      public interface Searchable

  Interface for nodes that are searchable.

  A `Searchable` component will get asked for tokens, that should be used in a search. These tokens will then be matched against a user given search string.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getSearchableTokens()` Get a list of all tokens that should be visible to searching

- - ### Method Detail

    - #### getSearchableTokens

          List<String> getSearchableTokens()
                                    throws Exception

      Get a list of all tokens that should be visible to searching
      Returns:
        List of searchable tokens
      Throws:
        `Exception` - when something fails while getting the searchable tokens

Copyright © 1998-2022 Apache Software Foundation. All Rights Reserved.